package com.heyu.api.data.service.vv;
/**
* <p>
* 类目表 服务类
* </p>
*
* @author quyixiao
* @since 2025-08-24
*/
import com.baomidou.mybatisplus.extension.service.IService;
import com.heyu.api.data.entity.vv.VvAdminCategoryEntity;
public interface VvAdminCategoryService extends IService<VvAdminCategoryEntity> {



	VvAdminCategoryEntity selectVvAdminCategoryById(Long id);


	Long insertVvAdminCategory(VvAdminCategoryEntity vvAdminCategory);


	Long insertOrUpdateVvAdminCategory(VvAdminCategoryEntity vvAdminCategory);


	int updateVvAdminCategoryById(VvAdminCategoryEntity vvAdminCategory);


	int updateCoverVvAdminCategoryById(VvAdminCategoryEntity vvAdminCategory);


	int deleteVvAdminCategoryById(Long id);


}